class ReduxActionHandler {
  final Type type;
  const ReduxActionHandler(this.type);
}

bool check() {
  return true;
}

class Middleware {
  final Type type;
  final bool async;
  final Function? check;

  const Middleware(
    this.type, {
    this.async = true,
    this.check,
  });
}

class Afterware {
  final Type type;
  final bool async;
  final bool check;

  const Afterware(
    this.type, {
    this.async = true,
    this.check = false,
  });
}

class Reducer {
  final Type type;
  final bool check;

  const Reducer(
    this.type, {
    this.check = false,
  });
}

class PrivateReducer {
  final Type type;
  final bool check;

  const PrivateReducer(
    this.type, {
    this.check = false,
  });
}
